> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# List user's addresses

> List all addresses for specified user



## OpenAPI

````yaml identity_v1 get /api-commerceIdentity/user/{userId}/address
openapi: 3.0.1
info:
  title: Authentication v1
  description: >-
    The fabric Identity API lets you manage users. You can create and update
    user names and addresses.  Users can log in to an application and can change
    or reset their passwords.
  version: 1.0.0
  contact:
    email: support@fabric.inc
  license:
    name: fabric API License
    url: https://fabric.inc/api-license
servers:
  - url: https://{customerDomain}.fabric.zone
    variables:
      customerDomain:
        default: demo
security: []
tags:
  - name: User
    description: >-
      The User endpoints let you create local or guest users, update a user's
      user name, and get information about a specific user.
  - name: Address
    description: >-
      The Address endpoints let you create, delete, and update addresses, as
      well as get a list of addresses or address information.
  - name: Auth
    description: >-
      The Auth endpoints let the user log in and change or reset a password. You
      can also refresh a local user.
paths:
  /api-commerceIdentity/user/{userId}/address:
    parameters:
      - $ref: '#/components/parameters/xSiteContent'
      - name: userId
        in: path
        description: User ID
        required: true
        schema:
          type: string
          example: 6169b2d892a5f30009d76480
    get:
      tags:
        - Address
      summary: List user's addresses
      description: List all addresses for specified user
      operationId: listAddresses
      parameters:
        - name: kind
          in: query
          description: Type of user to return
          example: customer
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Address'
        '404':
          $ref: '#/components/responses/addresses-no-content'
        '500':
          $ref: '#/components/responses/InternalServerError'
      security:
        - ApiKeyAuth: []
        - BearerAuth: []
components:
  parameters:
    xSiteContent:
      name: x-site-context
      in: header
      description: >-
        The `x-site-context` header is a JSON object that contains information
        about the source you wish to pull from. The mandatory `account` is the
        24 character identifier found in Copilot. The `channel` (Sales channel
        ID), `stage` (environment name), and `date` attributes can be used to
        further narrow the scope of your data source.
      required: true
      schema:
        type: string
        example: >-
          {"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account":
          "1234abcd5678efgh9ijklmno","stage":"production"}
  schemas:
    Address:
      description: Address
      required:
        - address1
        - city
        - state
        - country
        - zipCode
        - email
        - isDefault
        - isValidated
      allOf:
        - $ref: '#/components/schemas/BaseAddress'
        - type: object
          properties:
            isValidated:
              description: >-
                true: Address has been validated<br />false: Address has not
                been validated
              type: boolean
              example: true
            isDefault:
              description: >-
                true: This is the default address<br />false: This is an
                additional address
              type: boolean
              example: true
    BaseAddress:
      description: User's address
      type: object
      properties:
        attention:
          description: Address recipient
          type: string
          example: Account Manager
        address1:
          description: Primary address
          type: string
          example: 1234 Main St.
        address2:
          description: Second address line
          type: string
          example: Suite 710
        address3:
          description: Third address line
          type: string
          example: Floor 7
        city:
          description: Address city
          type: string
          example: Houston
        state:
          description: Address state
          type: string
          example: TX
        country:
          description: Address country
          type: string
          example: USA
        zipCode:
          description: Address zip code
          type: string
          example: 77035
        company:
          description: Company name
          type: string
          example: Acme Inc.
        kind:
          description: Address type
          type: string
          example: Business
        phone:
          description: Telephone number and type associated with address
          type: object
          properties:
            number:
              description: Telephone number
              type: string
              example: 555-123-4567
            kind:
              description: Phone type
              type: string
              example: Mobile
        name:
          type: object
          properties:
            first:
              description: First name on address
              type: string
              example: Pat
            last:
              description: Last name on address
              type: string
              example: Kake
        email:
          description: Email address
          type: string
          example: test@mail.com
    APIError:
      description: API error response
      type: object
      properties:
        error:
          description: Error condition
          type: string
          example: USER_NOT_FOUND
        code:
          description: Error code
          type: string
          example: '404'
        message:
          description: Error message
          type: string
          example: User not found
  responses:
    addresses-no-content:
      description: No addresses found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/APIError'
          example:
            error: ADDRESS_NOT_FOUND
            code: '404'
            message: No addresses found
    InternalServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/APIError'
          example:
            error: INTERNAL_SERVER_ERROR
            code: '500'
            message: Internal server error
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
    BearerAuth:
      type: http
      scheme: bearer

````